> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teceo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# materials pagination



## OpenAPI

````yaml https://integration.teceo.co/aos get /v1/materials
openapi: 3.0.0
info:
  title: teceo brand integrator API
  description: integrate your brand with teceo
  version: '1.0'
  contact: {}
servers:
  - url: /
security: []
tags: []
paths:
  /v1/materials:
    get:
      tags:
        - 'Materials:'
      summary: materials pagination
      operationId: MaterialController_findAll_v1
      parameters:
        - name: limit
          required: false
          in: query
          description: 'pagination: limit of entities returned by query'
          schema:
            maximum: 50
            default: 10
            type: number
        - name: cursorId
          required: false
          in: query
          description: >-
            pagination: cursor of the last loaded item. omit it to get the first
            page
          schema:
            type: string
        - name: name
          required: false
          in: query
          description: filter by material name
          schema:
            type: string
        - name: integrationCode
          required: false
          in: query
          description: filter by material integration code
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/MaterialDTO'
                  nextCursor:
                    type: string
                    nullable: true
                    description: when the field is null, it means that pagination has ended
          description: materials pagination
        '400':
          description: >-
            response status code indicates that the server cannot or will not
            process the request due to something that is perceived to be a
            client error
        '403':
          description: >-
            client error status response code indicates that the server
            understood the request but refuses to authorize it
      security:
        - ApiKey: []
components:
  schemas:
    MaterialDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        integrationCode:
          type: string
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - id
        - name
        - integrationCode
        - createdAt
        - updatedAt
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: unique identifier access key. each brand has it own unique key.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.